﻿namespace Shared.PasteSpecialXml.EAF.XML.API.EquipmentDictionary;

// NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
[System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization", IsNullable = false)]
public partial class EquipmentDictionaryVersion
{

    private EquipmentDictionaryVersionAlarms alarmsField;

    private string createdByField;

    private System.DateTime creationDateField;

    private EquipmentDictionaryVersionDataItems dataItemsField;

    private string descriptionField;

    private string dictionaryNameField;

    private EquipmentDictionaryVersionEquipmentSettings equipmentSettingsField;

    private EquipmentDictionaryVersionEvents eventsField;

    private System.DateTime freezeDateField;

    private object frozenByField;

    private bool isFrozenField;

    private bool isRetiredField;

    private string nameField;

    private EquipmentDictionaryVersionObjectTypes objectTypesField;

    private EquipmentDictionaryVersionReports reportsField;

    private System.DateTime retireDateField;

    private object retiredByField;

    private string schemaVersionField;

    private EquipmentDictionaryVersionValidityMapDataItemToEvent validityMapDataItemToEventField;

    private string idField;

    /// <remarks/>
    public EquipmentDictionaryVersionAlarms Alarms
    {
        get => this.alarmsField;
        set => this.alarmsField = value;
    }

    /// <remarks/>
    public string CreatedBy
    {
        get => this.createdByField;
        set => this.createdByField = value;
    }

    /// <remarks/>
    public System.DateTime CreationDate
    {
        get => this.creationDateField;
        set => this.creationDateField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionDataItems DataItems
    {
        get => this.dataItemsField;
        set => this.dataItemsField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public string DictionaryName
    {
        get => this.dictionaryNameField;
        set => this.dictionaryNameField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionEquipmentSettings EquipmentSettings
    {
        get => this.equipmentSettingsField;
        set => this.equipmentSettingsField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionEvents Events
    {
        get => this.eventsField;
        set => this.eventsField = value;
    }

    /// <remarks/>
    public System.DateTime FreezeDate
    {
        get => this.freezeDateField;
        set => this.freezeDateField = value;
    }

    /// <remarks/>
    public object FrozenBy
    {
        get => this.frozenByField;
        set => this.frozenByField = value;
    }

    /// <remarks/>
    public bool IsFrozen
    {
        get => this.isFrozenField;
        set => this.isFrozenField = value;
    }

    /// <remarks/>
    public bool IsRetired
    {
        get => this.isRetiredField;
        set => this.isRetiredField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypes ObjectTypes
    {
        get => this.objectTypesField;
        set => this.objectTypesField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionReports Reports
    {
        get => this.reportsField;
        set => this.reportsField = value;
    }

    /// <remarks/>
    public System.DateTime RetireDate
    {
        get => this.retireDateField;
        set => this.retireDateField = value;
    }

    /// <remarks/>
    public object RetiredBy
    {
        get => this.retiredByField;
        set => this.retiredByField = value;
    }

    /// <remarks/>
    public string SchemaVersion
    {
        get => this.schemaVersionField;
        set => this.schemaVersionField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionValidityMapDataItemToEvent ValidityMapDataItemToEvent
    {
        get => this.validityMapDataItemToEventField;
        set => this.validityMapDataItemToEventField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionAlarms
{

    private EquipmentDictionaryVersionAlarmsAlarm[] alarmField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Alarm")]
    public EquipmentDictionaryVersionAlarmsAlarm[] Alarm
    {
        get => this.alarmField;
        set => this.alarmField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionAlarmsAlarm
{

    private object contextField;

    private string descriptionField;

    private bool isEnabledField;

    private bool isVirtualField;

    private bool isVirtualFieldSpecified;

    private string nameField;

    private object severityField;

    private int sourceIDField;

    private object textField;

    private string idField;

    /// <remarks/>
    public object Context
    {
        get => this.contextField;
        set => this.contextField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public bool IsEnabled
    {
        get => this.isEnabledField;
        set => this.isEnabledField = value;
    }

    /// <remarks/>
    public bool IsVirtual
    {
        get => this.isVirtualField;
        set => this.isVirtualField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlIgnoreAttribute()]
    public bool IsVirtualSpecified
    {
        get => this.isVirtualFieldSpecified;
        set => this.isVirtualFieldSpecified = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public object Severity
    {
        get => this.severityField;
        set => this.severityField = value;
    }

    /// <remarks/>
    public int SourceID
    {
        get => this.sourceIDField;
        set => this.sourceIDField = value;
    }

    /// <remarks/>
    public object Text
    {
        get => this.textField;
        set => this.textField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionDataItems
{

    private EquipmentDictionaryVersionDataItemsItem[] itemField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Item")]
    public EquipmentDictionaryVersionDataItemsItem[] Item
    {
        get => this.itemField;
        set => this.itemField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionDataItemsItem
{

    private string dataTypeField;

    private string descriptionField;

    private bool isQueryableField;

    private string nameField;

    private uint sourceIDField;

    private object unitField;

    private string validityContextField;

    private string idField;

    /// <remarks/>
    public string DataType
    {
        get => this.dataTypeField;
        set => this.dataTypeField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public bool IsQueryable
    {
        get => this.isQueryableField;
        set => this.isQueryableField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public uint SourceID
    {
        get => this.sourceIDField;
        set => this.sourceIDField = value;
    }

    /// <remarks/>
    public object Unit
    {
        get => this.unitField;
        set => this.unitField = value;
    }

    /// <remarks/>
    public string ValidityContext
    {
        get => this.validityContextField;
        set => this.validityContextField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionEquipmentSettings
{

    private EquipmentDictionaryVersionEquipmentSettingsSetting[] settingField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Setting")]
    public EquipmentDictionaryVersionEquipmentSettingsSetting[] Setting
    {
        get => this.settingField;
        set => this.settingField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionEquipmentSettingsSetting
{

    private object contextField;

    private string dataTypeField;

    private string descriptionField;

    private string initialValueField;

    private bool initializeField;

    private string nameField;

    private uint sourceIDField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
    public object Context
    {
        get => this.contextField;
        set => this.contextField = value;
    }

    /// <remarks/>
    public string DataType
    {
        get => this.dataTypeField;
        set => this.dataTypeField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public string InitialValue
    {
        get => this.initialValueField;
        set => this.initialValueField = value;
    }

    /// <remarks/>
    public bool Initialize
    {
        get => this.initializeField;
        set => this.initializeField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public uint SourceID
    {
        get => this.sourceIDField;
        set => this.sourceIDField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionEvents
{

    private EquipmentDictionaryVersionEventsEvent[] eventField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Event")]
    public EquipmentDictionaryVersionEventsEvent[] Event
    {
        get => this.eventField;
        set => this.eventField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionEventsEvent
{

    private object contextField;

    private string descriptionField;

    private bool isAlwaysEnabledField;

    private bool isVirtualField;

    private string nameField;

    private string sourceIDField;

    private EquipmentDictionaryVersionEventsEventValidDataItems validDataItemsField;

    private string idField;

    /// <remarks/>
    public object Context
    {
        get => this.contextField;
        set => this.contextField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public bool IsAlwaysEnabled
    {
        get => this.isAlwaysEnabledField;
        set => this.isAlwaysEnabledField = value;
    }

    /// <remarks/>
    public bool IsVirtual
    {
        get => this.isVirtualField;
        set => this.isVirtualField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string SourceID
    {
        get => this.sourceIDField;
        set => this.sourceIDField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionEventsEventValidDataItems ValidDataItems
    {
        get => this.validDataItemsField;
        set => this.validDataItemsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionEventsEventValidDataItems
{

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypes
{

    private EquipmentDictionaryVersionObjectTypesType[] typeField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Type")]
    public EquipmentDictionaryVersionObjectTypesType[] Type
    {
        get => this.typeField;
        set => this.typeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesType
{

    private EquipmentDictionaryVersionObjectTypesTypeAlarms alarmsField;

    private object baseTypeField;

    private EquipmentDictionaryVersionObjectTypesTypeDataItems dataItemsField;

    private EquipmentDictionaryVersionObjectTypesTypeEvents eventsField;

    private string nameField;

    private EquipmentDictionaryVersionObjectTypesTypeSettings settingsField;

    private string idField;

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypesTypeAlarms Alarms
    {
        get => this.alarmsField;
        set => this.alarmsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
    public object BaseType
    {
        get => this.baseTypeField;
        set => this.baseTypeField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypesTypeDataItems DataItems
    {
        get => this.dataItemsField;
        set => this.dataItemsField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypesTypeEvents Events
    {
        get => this.eventsField;
        set => this.eventsField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypesTypeSettings Settings
    {
        get => this.settingsField;
        set => this.settingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeAlarms
{

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeDataItems
{

    private EquipmentDictionaryVersionObjectTypesTypeDataItemsItem[] itemField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Item")]
    public EquipmentDictionaryVersionObjectTypesTypeDataItemsItem[] Item
    {
        get => this.itemField;
        set => this.itemField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeDataItemsItem
{

    private EquipmentDictionaryVersionObjectTypesTypeDataItemsItemEquipmentDataItems equipmentDataItemsField;

    private string nameField;

    private object unitField;

    private string idField;

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypesTypeDataItemsItemEquipmentDataItems EquipmentDataItems
    {
        get => this.equipmentDataItemsField;
        set => this.equipmentDataItemsField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public object Unit
    {
        get => this.unitField;
        set => this.unitField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeDataItemsItemEquipmentDataItems
{

    private EquipmentDictionaryVersionObjectTypesTypeDataItemsItemEquipmentDataItemsItem[] itemField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Item")]
    public EquipmentDictionaryVersionObjectTypesTypeDataItemsItemEquipmentDataItemsItem[] Item
    {
        get => this.itemField;
        set => this.itemField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeDataItemsItemEquipmentDataItemsItem
{

    private string refField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Ref
    {
        get => this.refField;
        set => this.refField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeEvents
{

    private EquipmentDictionaryVersionObjectTypesTypeEventsEvent[] eventField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Event")]
    public EquipmentDictionaryVersionObjectTypesTypeEventsEvent[] Event
    {
        get => this.eventField;
        set => this.eventField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeEventsEvent
{

    private EquipmentDictionaryVersionObjectTypesTypeEventsEventEquipmentEvents equipmentEventsField;

    private string nameField;

    private string stateModelField;

    private string idField;

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypesTypeEventsEventEquipmentEvents EquipmentEvents
    {
        get => this.equipmentEventsField;
        set => this.equipmentEventsField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string StateModel
    {
        get => this.stateModelField;
        set => this.stateModelField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeEventsEventEquipmentEvents
{

    private EquipmentDictionaryVersionObjectTypesTypeEventsEventEquipmentEventsEvent eventField;

    private string idField;

    /// <remarks/>
    public EquipmentDictionaryVersionObjectTypesTypeEventsEventEquipmentEventsEvent Event
    {
        get => this.eventField;
        set => this.eventField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeEventsEventEquipmentEventsEvent
{

    private string refField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Ref
    {
        get => this.refField;
        set => this.refField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionObjectTypesTypeSettings
{

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionReports
{

    private EquipmentDictionaryVersionReportsReport[] reportField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Report")]
    public EquipmentDictionaryVersionReportsReport[] Report
    {
        get => this.reportField;
        set => this.reportField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionReportsReport
{

    private EquipmentDictionaryVersionReportsReportDataItems dataItemsField;

    private bool isPreDefinedField;

    private EquipmentDictionaryVersionReportsReportLinkEvents linkEventsField;

    private string nameField;

    private EquipmentDictionaryVersionReportsReportPreLinkedEvents preLinkedEventsField;

    private object sourceIdField;

    private string idField;

    /// <remarks/>
    public EquipmentDictionaryVersionReportsReportDataItems DataItems
    {
        get => this.dataItemsField;
        set => this.dataItemsField = value;
    }

    /// <remarks/>
    public bool IsPreDefined
    {
        get => this.isPreDefinedField;
        set => this.isPreDefinedField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionReportsReportLinkEvents LinkEvents
    {
        get => this.linkEventsField;
        set => this.linkEventsField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public EquipmentDictionaryVersionReportsReportPreLinkedEvents PreLinkedEvents
    {
        get => this.preLinkedEventsField;
        set => this.preLinkedEventsField = value;
    }

    /// <remarks/>
    public object SourceId
    {
        get => this.sourceIdField;
        set => this.sourceIdField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionReportsReportDataItems
{

    private EquipmentDictionaryVersionReportsReportDataItemsItem[] itemField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Item")]
    public EquipmentDictionaryVersionReportsReportDataItemsItem[] Item
    {
        get => this.itemField;
        set => this.itemField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionReportsReportDataItemsItem
{

    private string refField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Ref
    {
        get => this.refField;
        set => this.refField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionReportsReportLinkEvents
{

    private EquipmentDictionaryVersionReportsReportLinkEventsEvent[] eventField;

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("Event")]
    public EquipmentDictionaryVersionReportsReportLinkEventsEvent[] Event
    {
        get => this.eventField;
        set => this.eventField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionReportsReportLinkEventsEvent
{

    private string refField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Ref
    {
        get => this.refField;
        set => this.refField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionReportsReportPreLinkedEvents
{

    private string idField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://schemas.microsoft.com/2003/10/Serialization/")]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }
}

/// <remarks/>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.datacontract.org/2004/07/Eaf.Management.ConfigurationData.Equipmen" +
    "tCharacterization")]
public partial class EquipmentDictionaryVersionValidityMapDataItemToEvent
{

    private object dataItemsField;

    /// <remarks/>
    public object DataItems
    {
        get => this.dataItemsField;
        set => this.dataItemsField = value;
    }
}