using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace Shared;

public class EAFLoggingUnitTesting : LoggingUnitTesting, IDisposable
{

    protected readonly AdaptationTesting _AdaptationTesting;

    public AdaptationTesting AdaptationTesting => _AdaptationTesting;

    public EAFLoggingUnitTesting(TestContext testContext, Type declaringType, bool skipEquipmentDictionary) :
        base(testContext, declaringType)
    {
        if (testContext is null || declaringType is null)
            _AdaptationTesting = null;
        else
            _AdaptationTesting = new AdaptationTesting(testContext, skipEquipmentDictionary);
    }

    public new void Dispose() => base.Dispose();

}